Edit cell values or reset manual overrides
PATCH
/v1/datasets/{datasetId}/rows/{rowId}Requires the current revision ID and a unique request ID. A retry with the same request and payload returns the original revision. Non-identity collected fields support manual overrides that persist across Runs. Reset an override explicitly to use the latest source value. Identity fields are read-only.
Authorization
apiKey AuthorizationBearer <token>
API key shown once at creation and stored as a SHA-256 hash.
In: header
Path Parameters
datasetId*string
Dataset UUID.
Format
uuidrowId*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/datasets/497f6eca-6276-4993-bfeb-53cbbbba6f08/rows/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "expectedRevisionId": "67be5692-5a98-4913-95b3-4e1377885c15", "requestId": "string", "values": { "property1": "string", "property2": "string" } }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "datasetId": "6586f21b-ad4d-4d06-a309-712af47184a2", "rowId": "c4e73cac-8b0c-4e55-94d1-531330067e81", "sequence": 0, "schemaVersion": 0, "previousRevisionId": "eb2ae675-8d88-4cab-8282-b371b2c9411d", "runId": "78c33d18-170c-44d3-a227-b3194f134f73", "actorId": "d2f1b55c-8cee-4a0d-af57-aebaeff77518", "requestId": "string", "requestHash": "string", "origin": "collection", "kind": "created", "changedFieldIds": [ "7950e59e-bcca-4e79-b31e-2077d2504dd7" ], "data": { "property1": "string", "property2": "string" }, "evidence": { "property1": [ { "observationId": "75ba143a-548d-4455-94a8-6b10f7615329", "entryId": "string" } ], "property2": [ { "observationId": "75ba143a-548d-4455-94a8-6b10f7615329", "entryId": "string" } ] }, "overrides": { "property1": { "value": "string", "evidence": [ { "observationId": "75ba143a-548d-4455-94a8-6b10f7615329", "entryId": "string" } ], "missingReason": "unknown" }, "property2": { "value": "string", "evidence": [ { "observationId": "75ba143a-548d-4455-94a8-6b10f7615329", "entryId": "string" } ], "missingReason": "unknown" } }, "missingReasons": { "property1": "unknown", "property2": "unknown" }, "presence": "present", "createdAt": "2019-08-24T14:15:22Z"}